%define name      fbdesk
%define version   1.1.3
%define release   1mdk
%define section   Fluxbox/action
%define title     Fbdesk
%define longtitle Fluxbox-application to create and manage icons on your desktop

Summary:          %longtitle
Name:             %name
Version:          %version
Release:          %release
License:          MIT
Group:            Graphical desktop/Other
URL:              http://fluxbox.sourceforge.net/fbdesk
Source0:          %name-%version.tar.bz2
Source1:          %name-icons.tar.bz2

BuildRoot:        %_tmppath/%name-buildroot
Buildrequires:    XFree86-devel libpng-devel libxpm-devel libfontconfig-devel
Requires:         XFree86       libpng       xpm          fontconfig

%description

FbDesk is a fluxbox-application to create and manage icons on your desktop.

Implemented Features :

    * XPM and PNG image loading
    * Antialias text
    * UTF-8 and multibyte support
    * Vertical text
    * Grid Snapping
    * GUI for editing command/label and add/remove icons
    * Fluxbox menu style


%prep

%setup -q
%setup -q -T -D -a1


%build
%configure
%make
%__strip src/%name

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="%{longtitle}"
EOF

# icon
%__install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
%__install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%__install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

rm %{name}*.png
%__install -d            $RPM_BUILD_ROOT%{_datadir}/%{name}
%__install -m 0644 *.png $RPM_BUILD_ROOT%{_datadir}/%{name}


%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%_bindir/*
%_menudir/*

%_miconsdir/*
%_iconsdir/*
%_liconsdir/*
%_datadir/%name/*.png


%changelog
* Thu Jan 30 2003 Han Boetes <han@linux-mandrake.com> 1.1.3-1mdk
- Bump. bugfix-release.

* Sun Jan 19 2003 Han Boetes <han@linux-mandrake.com> 1.1.2-1mdk
- Initial release.
